<template>

  <div class="relative shadow-md sm:rounded-lg w-[90vw] md:w-full">
    <div v-if="currentUser.role.create_user" class="absolute md:-right-5 md:-top-5 -right-4 -top-4">
      <Link href="/employee/user/create" class="font-medium text-lime-500 hover:text-lime-600">
      <Icon icon="fa-solid fa-circle-plus" class="text-3xl md:text-4xl"></Icon>
      </Link>
    </div>
    <div class="overflow-auto">
      <table class="w-full table-fixed text-sm text-left rtl:text-right text-gray-500 dark:text-gray-400">
        <thead class="text-xs text-gray-700 uppercase bg-white dark:bg-gray-700 dark:text-gray-400">
          <tr class="bg-gray-200 text-black">
            <th scope="col" class="p-4 w-60 md:w-auto">Employee name</th>
            <th scope="col" class="w-40 md:w-auto">Role</th>
            <th scope="col" class="w-40 md:w-auto">Department</th>
            <th scope="col" class="w-40 md:w-auto">Action</th>
          </tr>
        </thead>
        <tbody>
          <!-- Table rows -->
          <tr class="bg-white dark:border-light-700 hover:bg-light-50 dark:hover:bg-orange-200"
            v-for="user in users.data">
            <td class="mb-5 p-4 dark:text-black">
              {{ user.name }}
            </td>
            <td class="mb-5 dark:text-black">
              {{ user.role.name }}
              {{ user.department && `(Head of ${user.department.name})` }}
            </td>
            <td class="mb-5 dark:text-black">
              {{ user.department_staff_detail?.department.name }}
            </td>
            <td class="mb-5 flex items-center mt-5">
              <Link :href="`/issuance/staff/${user.id}/edit`" class="action-btn" as="button">Issue</Link>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>

  <Pagination :data="users"></Pagination>
</template>

<script setup>
import { computed } from "vue";
import { Link, usePage } from "@inertiajs/vue3";
import Pagination from "@/Components/Pagination.vue";

const page = usePage();
const currentUser = computed(() => page.props.currentUser)

const props = defineProps({
  users: Object
});

</script>
